Subject: bug#39674: closed (Re: [bug#39674] [PATCH] enable PostScript backend in Evince)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 20 Jan 2025 14:49:02 +0000

Your bug report

#39674: [PATCH] enable PostScript backend in Evince

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39674: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=39674
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#39674] [PATCH] enable PostScript backend in Evince
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], raingloom <[email-masked]>,Nicolò Balzarotti <[email-masked]>
Date: Mon, 20 Jan 2025 23:48:37 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[...]

> My opinion is that we should enable it.  It's advertised as a
> supported format [0]; if there was a serious security issue upstream
> would probably drop support for it, or at least hide it behind some
> configuration warning, and not advertize it.
>
> Debian, known for its security track record, also has it enabled [1].
>
> [0]  https://help.gnome.org/users/evince/stable/formats.html.en
> [1]  https://salsa.debian.org/gnome-team/evince/-/blob/debian/latest/debian/rules?ref_type=heads#L15

I've pushed 0a26cd43f9, which enables it.  Closing, at last!

-- 
Thanks,
Maxim

Subject: [PATCH] enable PostScript backend in Evince
From: raingloom <[email-masked]>
To: [email-masked]
Date: Wed, 19 Feb 2020 13:08:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Some of my teacheres distribute notes in .ps files, so I kinda need 
this, and I think others will find it helpful as well.

AFAIK other distros enable it too.

Much easier than converting PostScript files to PDF.

>From c767aa2d6a3d779d90e8185e313892eb2212dd37 Mon Sep 17 00:00:00 2001
From: raingloom <[email-masked]>
Date: Wed, 19 Feb 2020 12:47:42 +0100
Subject: [PATCH] gnu: evince: --enable-ps

---
 gnu/packages/gnome.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 3c63ab283d..5fae5d11ad 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -1502,7 +1502,8 @@ forgotten when the session ends.")
                "05q6v9lssd21623mnj2p49clj9v9csw9kay7n4nklki025grbh1w"))))
     (build-system glib-or-gtk-build-system)
     (arguments
-     `(#:configure-flags '("--disable-nautilus" "--enable-introspection")
+     `(#:configure-flags '("--disable-nautilus" "--enable-introspection"
+                           "--enable-ps")
        #:phases
        (modify-phases %standard-phases
          (add-before 'install 'skip-gtk-update-icon-cache
-- 
2.25.0